Description

Is it possible to have the QGIS Browser in 1.8 be able to preview an ESRI File Geodatabase (even though they are limited to v10 gdb's)

like it can a Personal Geodatabase?

GDAL 1.9.1 is installed via OSGeo4W with the File Geodatabase API.

History

#1 - 2012-07-04 12:59 PM - John Tull

- Subject changed from QGIS Browser, possible to preview ESRI file geodatabase? to QGIS Browser open and preview ESRI file geodatabases

Not only should the browser be able to preview FileGDB, but it should also be able to select and add them to the map canvas. Currently, with gdal

configured with FileGDB support, you can add geodatabases directly to the map canvas with a dialog that opens to select which layers you want to add. In

the browser, the "Add Selection" option silently fails and does nothing. The appropriate behavior would be to bring up the layer selection dialog. Likewise,

browsing within the FileGDB directory should show the available layers. Layers should be selectable and able to be added to the map canvas by double

clicking or using the "Add Selection" dialog and bypassing the select layers dialog that the traditional method of adding this file type uses.

My speculation is that the browser has not been updated to support the FileGDB provider in gdal.

#2 - 2012-09-04 11:52 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-09-20 05:48 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Fixed in commit:ac6eaa865b6bc8bfc471d823cd576885e7318dab
